# Gimp.Brush.set_shape

    @accepts(Gimp.Brush, Gimp.BrushGeneratedShape, Gimp.BrushGeneratedShape)
    @returns(bool)
    def set_shape(self, shape_in, shape_out):
        # Python wrapper for gimp_brush_set_shape()

Sets the shape of a generated brush.

Sets the shape of a generated brush. Returns an error when brush is non-parametric or not editable. The choices for shape are Circle (GIMP_BRUSH_GENERATED_CIRCLE), Square (GIMP_BRUSH_GENERATED_SQUARE), and Diamond (GIMP_BRUSH_GENERATED_DIAMOND).

Since 2.4

self

  The brush.

shape_in

  The brush shape.

shape_out

  The brush shape actually assigned.

Returns